Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.lowagie.text.rtf
Class RtfTOC

    java.lang.Object
      com.lowagie.text.Chunk
          com.lowagie.text.rtf.RtfTOC

All Implemented Interfaces:
  Element, RtfField

Deprecated. Please move to the RtfWriter2 and associated classes. com.lowagie.text.rtf.field.RtfTableOfContents replaces the functionality of this class.

    public class RtfTOC

extends Chunk
implements RtfField

This class can be used to insert a table of contents into the RTF document. Therefore the field TOC is used. It works great in Word 2000. StarOffice doesn't support such fields. Other word version are not tested yet. ONLY FOR USE WITH THE RtfWriter NOT with the RtfWriter2. This class is based on the RtfWriter-package from Mark Hall.

Version:
  $Revision: 2698 $Date: 2007/03/15 19:26:36 $
Author:
  Steffen.Stundzig (Steffen.Stundzig@smb-tec.com)

Field Summary
`private boolean` | `addTOCAsTOCEntry` Deprecated.
`private String` | `defaultText` Deprecated.
`private Font` | `entryFont` Deprecated.
`private String` | `entryName` Deprecated.

Fields inherited from class com.lowagie.text.Chunk
`ACTION, attributes, BACKGROUND, COLOR, content, ENCODING, font, GENERICTAG, HSCALE, HYPHENATION, IMAGE, LOCALDESTINATION, LOCALGOTO, NEWLINE, NEWPAGE, NEXTPAGE, OBJECT_REPLACEMENT_CHARACTER, PDFANNOTATION, REMOTEGOTO, SKEW, SPLITCHARACTER, SUBSUPSCRIPT, TEXTRENDERMODE, UNDERLINE`

Fields inherited from interface com.lowagie.text.Element
`ALIGN_BASELINE, ALIGN_BOTTOM, ALIGN_CENTER, ALIGN_JUSTIFIED, ALIGN_JUSTIFIED_ALL, ALIGN_LEFT, ALIGN_MIDDLE, ALIGN_RIGHT, ALIGN_TOP, ALIGN_UNDEFINED, ANCHOR, ANNOTATION, AUTHOR, CCITT_BLACKIS1, CCITT_ENCODEDBYTEALIGN, CCITT_ENDOFBLOCK, CCITT_ENDOFLINE, CCITTG3_1D, CCITTG3_2D, CCITTG4, CELL, CHAPTER, CHUNK, CREATIONDATE, CREATOR, HEADER, IMGRAW, IMGTEMPLATE, JPEG, JPEG2000, KEYWORDS, LIST, LISTITEM, MARKED, MULTI_COLUMN_TEXT, PARAGRAPH, PHRASE, PRODUCER, PTABLE, RECTANGLE, ROW, SECTION, SUBJECT, TABLE, TITLE`

Constructor Summary
`RtfTOC(String tocName, Font tocFont)` Deprecated.

Method Summary
`void` | `addTOCAsTOCEntry(String entryName, Font entryFont)` Deprecated. Add a toc entry
`void` | `setDefaultText(String text)` Deprecated. Sets the default text of the Table of Contents
`void` | `write(RtfWriter writer, OutputStream out)` Deprecated. Writes an RTF field.

Methods inherited from class com.lowagie.text.Chunk
`addToArray, append, content, font, getAttributes, getChunks, getContent, getFont, getHorizontalScaling, getImage, getKeySet, getTextRise, getWidthPoint, hasAttributes, isEmpty, process, setAction, setAnchor, setAnchor, setAnnotation, setAttributes, setBackground, setBackground, setFont, setGenericTag, setHorizontalScaling, setHyphenation, setLocalDestination, setLocalGoto, setNewPage, setRemoteGoto, setRemoteGoto, setSkew, setSplitCharacter, setTextRenderMode, setTextRise, setUnderline, setUnderline, toString, type`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### defaultText

    private String defaultText

  Deprecated.

### addTOCAsTOCEntry

    private boolean addTOCAsTOCEntry

  Deprecated.

### entryFont

    private Font entryFont

  Deprecated.

### entryName

    private String entryName

  Deprecated.

Constructor Detail

### RtfTOC

    public RtfTOC(String tocName,
                  Font tocFont)

  Deprecated.
  Parameters:
    `tocName` - the headline of the table of contents
    `tocFont` - the font for the headline

Method Detail

### write

    public void write(RtfWriter writer,
                      OutputStream out)
               throws IOException

  Deprecated.
  Description copied from interface: `RtfField`
  Writes an RTF field.

  Specified by:
    `write` in interface `RtfField`
  Throws:
    `IOException`
  See Also:
    `RtfField.write(com.lowagie.text.rtf.RtfWriter, java.io.OutputStream)`

### addTOCAsTOCEntry

    public void addTOCAsTOCEntry(String entryName,
                                 Font entryFont)

  Deprecated.
  Add a toc entry

  Parameters:
    `entryName` - the name of the entry
    `entryFont` - the font to be used for the entry

### setDefaultText

    public void setDefaultText(String text)

  Deprecated.
  Sets the default text of the Table of Contents

  Parameters:
    `text` - the default text

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD